module.exports = {
  mode: 'jit',
  theme: {
    fontFamily: {
      sans: ['Nunito'],
      display: ['Nunito'],
      body: ['Nunito'],
      inter: ['Inter', 'sans-serif'],
      gotham: ['gotham', 'sans-serif'],
      'gotham-htm': ['gothamHTM', 'sans-serif'],
      'gotham-slim-font': ['gotham Slim', 'sans-serif'],
    },
    extend: {
      screens: {
        large: '1280px',
        wide: '1920px',
        print: { raw: 'print' },
      },
      fontSize: {
        xxs: '.625rem',
      },
      container: {
        screens: {
          '2xl': '1280px',
        },
      },
      colors: {
        'gray-bg': '#F0F2F5',
        cyan: {
          50: '#def4f6',
          100: '#ADE5E6',
          200: '#70D5D6',
          300: '#00c4c4',
          400: '#00b6b5',
          500: '#00a8a3',
          600: '#009a95',
          700: '#008983',
          800: '#007972',
          900: '#005c53',
        },
        purple: {
          50: '#eae7ff',
          100: '#c9c3fe',
          200: '#a39cfe',
          300: '#7a73ff',
          400: '#5b50fd',
          500: '#462beb',
          600: '#421fdf',
          700: '#3500c4',
          800: '#3500c4',
          900: '#2e00aa',
        },
      },
      spacing: {
        7: '1.75rem',
        9: '2.25rem',
        11: '2.75rem',
        15: '3.75rem',
        '4/3': '75%',
        '16/9': '56.25%',
        '8/5': '62.5%',
        13: '3.25rem',
        '21/9': '42.85%',
        18: '4.5rem',
        36: '9rem',
        70: '17.5rem',
        72: '18rem',
        84: '21rem',
        96: '24rem',
        130: '32.5rem',
      },
      inset: {
        2: '0.5rem',
        4: '1rem',
        8: '2rem',
        16: '4rem',
        '1/2': '50%',
        '-1/2': '-50%',
        full: '100%',
      },
      width: {
        var: 'var(--width)',
        'var-sm': 'var(--width--sm)',
        'var-md': 'var(--width--md)',
        'var-lg': 'var(--width--lg)',
      },
      height: {
        var: 'var(--height)',
        'var-sm': 'var(--height--sm)',
        'var-md': 'var(--height--md)',
        'var-lg': 'var(--height--lg)',
        navbar: '3.125rem',
      },
      maxWidth: {
        var: 'var(--max-width)',
        'var-sm': 'var(--max-width--sm)',
        'var-md': 'var(--max-width--md)',
        'var-lg': 'var(--max-width--lg)',
      },
      minWidth: {
        var: 'var(--min-width)',
        'var-sm': 'var(--min-width--sm)',
        'var-md': 'var(--min-width--md)',
        'var-lg': 'var(--min-width--lg)',
      },
      minHeight: {
        var: 'var(--min-height)',
        'var-sm': 'var(--min-height--sm)',
        'var-md': 'var(--min-height--md)',
        'var-lg': 'var(--min-height--lg)',
      },
      maxHeight: {
        var: 'var(--max-height)',
        'var-sm': 'var(--max-height--sm)',
        'var-md': 'var(--max-height--md)',
        'var-lg': 'var(--max-height--lg)',
      },
      rotate: {
        270: '270deg',
      },
    },
    customForms: (theme) => ({
      default: {
        checkbox: {
          width: theme('spacing.4'),
          height: theme('spacing.4'),
          backgroundColor: theme('colors.white'),
          borderWidth: '1px',
          borderRadius: '2px',
          borderColor: theme('colors.gray.200'),
        },
        radio: {
          width: theme('spacing.4'),
          height: theme('spacing.4'),
          backgroundColor: theme('colors.white'),
          borderWidth: '1px',
          borderColor: theme('colors.gray.200'),
        },
      },
    }),
  },
  variants: {
    textColor: ['hover', 'disabled'],
    cursor: ['disabled'],
    width: ['responsive', 'hover', 'focus', 'group-hover'],
    padding: ['responsive', 'group-hover'],
    borderRadius: ['responsive', 'first', 'last', 'hover', 'focus'],
    extend: {
      borderWidth: ['first', 'last'],
    },
  },
  plugins: [require('@tailwindcss/custom-forms'), require('@tailwindcss/line-clamp')],
  purge: {
    enabled: process.env.NODE_ENV === 'production',
    content: ['components/**/*.vue', 'layouts/**/*.vue', 'pages/**/*.vue', 'plugins/**/*.js', 'nuxt.config.js'],
    options: {
      whitelist: ['md:fixed', 'md:absolute'],
    },
  },
};
